using adas_core.Application.Repositories.Interfaces;
using adas_core.Application.Services.Interfaces;
using adas_core.Domain.Models.MongoModels;

namespace adas_core.Application.Services;

public class ArchivedPatientService(IPatientArchiveRepository archivedPatientRepository) : IArchivedPatientService
{
    public async Task<List<Patient>> FindAllPatients()
    {
        return await archivedPatientRepository.FindAll();
    }
}